Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin
Interface PluginManagerMBean

public interface PluginManagerMBean

Plug-in manager MBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `forceConnectInResuming` True indicates that the plug-in would not start if it fails to establish communication toward the network in a protocol specific way.
`static boolean` | `policyBasedRouting` Defines if policy based routing is enabled.

Method Summary
`void` | `addRoute(String pluginInstanceId, String addressExpression)` Deprecated. Use setRouteConfig
`void` | `createPluginInstance(String pluginServiceId, String pluginInstanceId)` Creates a new instance of a specific plug-in.
`void` | `destroyPluginInstance(String pluginServiceId, String pluginInstanceId)` Destroys an existing plug-in instance.
`boolean` | `getForceConnectInResuming()`
`PluginInstanceInfo` | `getPluginInstanceInfo(String pluginInstanceId)` Gets information about a particular plug-in instance.
`String` | `getPluginNodeId(String pluginInstanceId)` Returns the node ID of the given plug-in
`PluginServiceInfo` | `getPluginServiceInfo(String pluginServiceId)` Gets info for a specific plug-in service.
`boolean` | `getPolicyBasedRouting()`
`String` | `getRouteConfig(String pluginInstanceId)` Gets the route configuration for a specific plug-in instance.
`ServiceInfo` | `getServiceInfo(String type)` Returns the service information for a given service type.
`String[]` | `listPluginInstances()` List all available plugin instances.
`String[]` | `listPluginServices()` List all available plugin services.
`PluginRouteDesc[]` | `listRoutes()` Lists all configured routes
`String[]` | `listServiceTypes()` Lists all the available service types
`void` | `removeRoute(String pluginInstanceId, String addressExpression)` Deprecated. Use setRouteConfig
`void` | `setForceConnectInResuming(boolean force)`
`void` | `setPluginNodeId(String pluginInstanceId, String nodeId)` Assigns a node ID to a plug-in.
`void` | `setPolicyBasedRouting(boolean policyBasedRoutingFlag)`
`void` | `setRouteConfig(String pluginInstanceId, String xmlConfig)` Sets the route configuration for a specific plug-in instance.
`void` | `setRouteConfigFromUrl(String pluginInstanceId, String xmlConfigUrl)` Sets the route configuration for a specific plug-in instance.

Field Detail

### forceConnectInResuming

    public static final boolean forceConnectInResuming

  True indicates that the plug-in would not start if it fails to establish communication toward the network in a protocol specific way. Every plug-in in a given .ear must be active, otherwise the .ear would fail to transition to ACTIVE state This allows activating a new version of the plug-in only when it is certain that it could accept traffic.

  See Also:
    Constant Field Values

### policyBasedRouting

    public static final boolean policyBasedRouting

  Defines if policy based routing is enabled. This flag determines if node SLAs should be considered in the plug-in selection.

  See Also:
    Constant Field Values

Method Detail

### addRoute

    public void addRoute(String pluginInstanceId,
                         String addressExpression)
                  throws ManagementException

  Deprecated. Use setRouteConfig

  Adds a route for a specific plug-in instance. Any application initiated request that includes a destination address will be routed according to these routes.

  Parameters:
    `pluginInstanceId` - The id of the plug-in instance. Use listPluginInstanceIds operation to find all available instances.
    `addressExpression` - Regular expression to match with the address. The expression is formated as "[scheme:]regexp". For example: ^[0-5].* - All adresses starting with 0, 1, 2, 3, 4 or 5 ^46.* - All adresses starting with "46" ^46.{8} - All adresses starting with "46" and being exactly 10 characters long ^.*@.*\.se - All adresses starting with anything followed by @ followed by anything and ending with ".se" tel:^46.* - All phone numbers starting with "46" sip:.* - Any SIP adresses
  Throws:
    `ManagementException`

### createPluginInstance

    public void createPluginInstance(String pluginServiceId,
                                     String pluginInstanceId)
                              throws ManagementException

  Creates a new instance of a specific plug-in.

  Parameters:
    `pluginServiceId` - Plug-in service id from `listPluginServices()`.
    `pluginInstanceId` - A new unique instance id.
  Throws:
    `ManagementException`

### destroyPluginInstance

    public void destroyPluginInstance(String pluginServiceId,
                                      String pluginInstanceId)
                               throws ManagementException

  Destroys an existing plug-in instance.

  Parameters:
    `pluginServiceId` - Plug-in service id from `listPluginServices()`.
    `pluginInstanceId` - The unique instance id.
  Throws:
    `ManagementException`

### getForceConnectInResuming

    public boolean getForceConnectInResuming()
                                      throws ManagementException

  Throws:
    `ManagementException`

### getPluginInstanceInfo

    public PluginInstanceInfo getPluginInstanceInfo(String pluginInstanceId)
                                             throws ManagementException

  Gets information about a particular plug-in instance. During side-by-side deployment returns the active plug-in version, when more than one is available.

  Parameters:
    `pluginInstanceId` - Id of the plug-in instance
  Returns:
    Information regarding the plug-in instance. This includes nodeId, connected status and configured routes.
  Throws:
    `ManagementException`

### getPluginNodeId

    public String getPluginNodeId(String pluginInstanceId)

  Returns the node ID of the given plug-in

  Parameters:
    `pluginInstanceId` - The plug-in instance id
  Returns:
    The node ID

### getPluginServiceInfo

    public PluginServiceInfo getPluginServiceInfo(String pluginServiceId)
                                           throws ManagementException

  Gets info for a specific plug-in service.

  Parameters:
    `pluginServiceId` - Id of the plug-in
  Returns:
    Information regarding the plug-in service. This includes service type, network protocol and active instances.
  Throws:
    `ManagementException`

### getPolicyBasedRouting

    public boolean getPolicyBasedRouting()

### getRouteConfig

    public String getRouteConfig(String pluginInstanceId)
                          throws ManagementException

  Gets the route configuration for a specific plug-in instance.

  Parameters:
    `pluginInstanceId` - The id of the plug-in instance.
  Throws:
    `ManagementException`

### getServiceInfo

    public ServiceInfo getServiceInfo(String type)
                               throws ManagementException

  Returns the service information for a given service type. The service information contains the interface names, method names for each interface, and arguments name for each method.

  Parameters:
    `type` - The service type
  Returns:
    Information about the service type
  Throws:
    `ManagementException`

### listPluginInstances

    public String[] listPluginInstances()

  List all available plugin instances.

  Returns:
    A list of plug-in instance id's.

### listPluginServices

    public String[] listPluginServices()

  List all available plugin services.

  Returns:
    A list of plug-in service id's.

### listRoutes

    public PluginRouteDesc[] listRoutes()

  Lists all configured routes

### listServiceTypes

    public String[] listServiceTypes()

  Lists all the available service types

  Returns:
    The service types available

### removeRoute

    public void removeRoute(String pluginInstanceId,
                            String addressExpression)
                     throws ManagementException

  Deprecated. Use setRouteConfig

  Removes a configured route. Execute listRoutes and use the plug-in instance id together with the address pattern to remove it.

  Parameters:
    `pluginInstanceId` - Plug-in instance id.
    `addressExpression` - Address expression.
  Throws:
    `ManagementException`

### setForceConnectInResuming

    public void setForceConnectInResuming(boolean force)
                                   throws ManagementException

  Throws:
    `ManagementException`

### setPluginNodeId

    public void setPluginNodeId(String pluginInstanceId,
                                String nodeId)
                         throws ManagementException

  Assigns a node ID to a plug-in. The node id is used to identify groups of plug-ins in the node contracts.

  Parameters:
    `pluginInstanceId` - Plug-in instance Id.
    `nodeId` - Node ID.
  Throws:
    `ManagementException`

### setPolicyBasedRouting

    public void setPolicyBasedRouting(boolean policyBasedRoutingFlag)
                               throws ManagementException

  Throws:
    `ManagementException`

### setRouteConfig

    public void setRouteConfig(String pluginInstanceId,
                               String xmlConfig)
                        throws ManagementException

  Sets the route configuration for a specific plug-in instance.

  Parameters:
    `pluginInstanceId` - The id of the plug-in instance. Use listPluginInstanceIds operation to find all available instances.
    `xmlConfig` - Xml document that describes the routing for this plug-in instance. If this field is empty the configuration will be removed.
  Throws:
    `ManagementException`

### setRouteConfigFromUrl

    public void setRouteConfigFromUrl(String pluginInstanceId,
                                      String xmlConfigUrl)
                               throws ManagementException

  Sets the route configuration for a specific plug-in instance.

  Parameters:
    `pluginInstanceId` - The id of the plug-in instance. Use listPluginInstanceIds operation to find all available instances.
    `xmlConfigUrl` - URL to Xml document that describes the routing for this plug-in instance. If this field is empty the configuration will be removed.
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD